FixedNotificationFilter (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.modeler.FixedNotificationFilter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.modeler
Class FixedNotificationFilter

    java.lang.Object
      org.apache.tomcat.util.modeler.FixedNotificationFilter

All Implemented Interfaces:
  java.io.Serializable, javax.management.NotificationFilter

    public class FixedNotificationFilter

extends java.lang.Object
implements javax.management.NotificationFilter

Special NotificationFilter that allows modeler to optimize its notifications. This class is immutable - after you construct it it'll filter based on a fixed set of notification names. The JMX specification requires the filters to be called before the notifications are sent. We can call this filter well in advance, when the listener is added. Based on the result we can maintain separate channels for each notification - and reduce the overhead.

Author:
  Costin Manolache
See Also:
  Serialized Form

Constructor Summary
`FixedNotificationFilter(java.lang.String[] names)` Construct a new filter that accepts only the specified notification names.

Method Summary
`java.lang.String[]` | `getNames()` Return the set of names that are accepted by this filter.
`boolean` | `isNotificationEnabled(javax.management.Notification notification)` Test whether notification enabled for this event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FixedNotificationFilter

    public FixedNotificationFilter(java.lang.String[] names)

  Construct a new filter that accepts only the specified notification names.

  Parameters:
    `names` - Names of the notification types

Method Detail

### getNames

    public java.lang.String[] getNames()

  Return the set of names that are accepted by this filter. If this filter accepts all attribute names, a zero length array will be returned.

### isNotificationEnabled

    public boolean isNotificationEnabled(javax.management.Notification notification)

  Test whether notification enabled for this event. Return true if:

  - Either the set of accepted names is empty (implying that all attribute names are of interest) or the set of accepted names includes the name of the attribute in this notification

  Specified by:
    `isNotificationEnabled` in interface `javax.management.NotificationFilter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.